package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.TSSDTaskLog;
import com.sa.ibiz.demo.demo.service.TSSDTaskLogService;
import com.sa.ibiz.demo.demo.service.dto.TSSDTaskLogSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/tssdtasklog")
public class TSSDTaskLogResource
{
	@Autowired
	private TSSDTaskLogService service;


	@GetMapping(value = "/{id}")
	public ResponseEntity<TSSDTaskLog> get(@Validated @PathVariable String id){
		TSSDTaskLog data=new TSSDTaskLog();
		data.setTssdtasklogid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("任务调度日志[get]操作发生错误","TSSDTaskLog",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<TSSDTaskLog> remove(@Validated @RequestBody TSSDTaskLog data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("任务调度日志[remove]操作发生错误","TSSDTaskLog",data.getTssdtasklogid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<TSSDTaskLog> getDraft(@Validated @RequestBody TSSDTaskLog data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("任务调度日志[getDraft]操作发生错误","TSSDTaskLog","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<TSSDTaskLog> create(@Validated @RequestBody TSSDTaskLog data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("任务调度日志[create]操作发生错误","TSSDTaskLog",data.getTssdtasklogid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<TSSDTaskLog> checkKey(@Validated @RequestBody TSSDTaskLog data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("任务调度日志[checkKey]操作发生错误","TSSDTaskLog",data.getTssdtasklogid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<TSSDTaskLog> update(@Validated @RequestBody TSSDTaskLog data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("任务调度日志[update]操作发生错误","TSSDTaskLog",data.getTssdtasklogid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<TSSDTaskLog>> searchDefaultPage(@Validated @RequestBody TSSDTaskLogSearchFilter filter){
		Page<TSSDTaskLog> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<TSSDTaskLog>> listDefault(@Validated @RequestBody TSSDTaskLogSearchFilter filter){
		List<TSSDTaskLog> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
